package com.gtiit.shr.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

@TableName("CT_SHR_DUTIES")
public class JobInfoVo implements Serializable {
    @TableId(
            type = IdType.ASSIGN_ID
    )
    private String id;
    @TableField("JOB_CODE")
    private String jobCode;
    @TableField("JOB_NAME_EN")
    private String jobNameEn;
    @TableField("JOB_NAME_CN")
    private String jobNameCn;
    @TableField("APPROVAL_AUTHORITY")
    private String approvalAuthority;
    @TableField("ERP_CREATION_DATE")
    private String erpCreationDate;
    @TableField("ERP_LAST_UPDATE_DATE")
    private String erpLastUpdateDate;

//    @TableField("SHR_ID")
//    private String shrId;

    public JobInfoVo() {
    }

    public String getId() {
        return this.id;
    }

    public String getJobCode() {
        return this.jobCode;
    }

    public String getJobNameEn() {
        return this.jobNameEn;
    }

    public String getJobNameCn() {
        return this.jobNameCn;
    }

    public String getApprovalAuthority() {
        return this.approvalAuthority;
    }

    public String getErpCreationDate() {
        return this.erpCreationDate;
    }

    public String getErpLastUpdateDate() {
        return this.erpLastUpdateDate;
    }

//    public String getShrId() {
//        return this.shrId;
//    }

    public void setId(final String id) {
        this.id = id;
    }

    public void setJobCode(final String jobCode) {
        this.jobCode = jobCode;
    }

    public void setJobNameEn(final String jobNameEn) {
        this.jobNameEn = jobNameEn;
    }

    public void setJobNameCn(final String jobNameCn) {
        this.jobNameCn = jobNameCn;
    }

    public void setApprovalAuthority(final String approvalAuthority) {
        this.approvalAuthority = approvalAuthority;
    }

    public void setErpCreationDate(final String erpCreationDate) {
        this.erpCreationDate = erpCreationDate;
    }

    public void setErpLastUpdateDate(final String erpLastUpdateDate) {
        this.erpLastUpdateDate = erpLastUpdateDate;
    }

//    public void setShrId(final String shrId) {
//        this.shrId = shrId;
//    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof JobInfoVo)) {
            return false;
        } else {
            JobInfoVo other = (JobInfoVo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label107: {
                    Object this$id = this.getId();
                    Object other$id = other.getId();
                    if (this$id == null) {
                        if (other$id == null) {
                            break label107;
                        }
                    } else if (this$id.equals(other$id)) {
                        break label107;
                    }

                    return false;
                }

                Object this$jobCode = this.getJobCode();
                Object other$jobCode = other.getJobCode();
                if (this$jobCode == null) {
                    if (other$jobCode != null) {
                        return false;
                    }
                } else if (!this$jobCode.equals(other$jobCode)) {
                    return false;
                }

                Object this$jobNameEn = this.getJobNameEn();
                Object other$jobNameEn = other.getJobNameEn();
                if (this$jobNameEn == null) {
                    if (other$jobNameEn != null) {
                        return false;
                    }
                } else if (!this$jobNameEn.equals(other$jobNameEn)) {
                    return false;
                }

                label86: {
                    Object this$jobNameCn = this.getJobNameCn();
                    Object other$jobNameCn = other.getJobNameCn();
                    if (this$jobNameCn == null) {
                        if (other$jobNameCn == null) {
                            break label86;
                        }
                    } else if (this$jobNameCn.equals(other$jobNameCn)) {
                        break label86;
                    }

                    return false;
                }

                label79: {
                    Object this$approvalAuthority = this.getApprovalAuthority();
                    Object other$approvalAuthority = other.getApprovalAuthority();
                    if (this$approvalAuthority == null) {
                        if (other$approvalAuthority == null) {
                            break label79;
                        }
                    } else if (this$approvalAuthority.equals(other$approvalAuthority)) {
                        break label79;
                    }

                    return false;
                }

                label72: {
                    Object this$erpCreationDate = this.getErpCreationDate();
                    Object other$erpCreationDate = other.getErpCreationDate();
                    if (this$erpCreationDate == null) {
                        if (other$erpCreationDate == null) {
                            break label72;
                        }
                    } else if (this$erpCreationDate.equals(other$erpCreationDate)) {
                        break label72;
                    }

                    return false;
                }

                Object this$erpLastUpdateDate = this.getErpLastUpdateDate();
                Object other$erpLastUpdateDate = other.getErpLastUpdateDate();
                if (this$erpLastUpdateDate == null) {
                    if (other$erpLastUpdateDate != null) {
                        return false;
                    }
                } else if (!this$erpLastUpdateDate.equals(other$erpLastUpdateDate)) {
                    return false;
                }

                Object this$shrId = this.getId();
                Object other$shrId = other.getId();
                if (this$shrId == null) {
                    if (other$shrId != null) {
                        return false;
                    }
                } else if (!this$shrId.equals(other$shrId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof JobInfoVo;
    }

    public int hashCode() {
        boolean PRIME = true;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $jobCode = this.getJobCode();
        result = result * 59 + ($jobCode == null ? 43 : $jobCode.hashCode());
        Object $jobNameEn = this.getJobNameEn();
        result = result * 59 + ($jobNameEn == null ? 43 : $jobNameEn.hashCode());
        Object $jobNameCn = this.getJobNameCn();
        result = result * 59 + ($jobNameCn == null ? 43 : $jobNameCn.hashCode());
        Object $approvalAuthority = this.getApprovalAuthority();
        result = result * 59 + ($approvalAuthority == null ? 43 : $approvalAuthority.hashCode());
        Object $erpCreationDate = this.getErpCreationDate();
        result = result * 59 + ($erpCreationDate == null ? 43 : $erpCreationDate.hashCode());
        Object $erpLastUpdateDate = this.getErpLastUpdateDate();
        result = result * 59 + ($erpLastUpdateDate == null ? 43 : $erpLastUpdateDate.hashCode());
        Object $shrId = this.getId();
        result = result * 59 + ($shrId == null ? 43 : $shrId.hashCode());
        return result;
    }

    public String toString() {
        return "JobInfoVo(id=" + this.getId() + ", jobCode=" + this.getJobCode() + ", jobNameEn=" + this.getJobNameEn() + ", jobNameCn=" + this.getJobNameCn() + ", approvalAuthority=" + this.getApprovalAuthority() + ", erpCreationDate=" + this.getErpCreationDate() + ", erpLastUpdateDate=" + this.getErpLastUpdateDate() + " )";
    }
}
